using System;
using System.Collections.Generic;
using System.Text;
using OpenNETCF.WindowsMobile;

namespace WLANToggle
{
    public class WLANToggle
    {
        

        public WLANToggle()
        {
            
        }

        /// <summary>
        /// WlanOn()
        /// Powerup Wifi
        /// </summary>
        public static void WlanOn()
        {
            Radios radios = Radios.GetRadios();
            try
            {
                foreach (IRadio radio in radios)
                {
                    if (radio.RadioType == RadioType.WiFi)
                    {
                        radio.RadioState = RadioState.On;
                    }
                }

            }
            catch { }
        }

        /// <summary>
        /// WlanOff()
        /// Shutdown Wifi
        /// </summary>

        public static void WlanOff()
        {
            Radios radios = Radios.GetRadios();
            try
            {
                foreach (IRadio radio in radios)
                {
                    if (radio.RadioType == RadioType.WiFi)
                    {
                        radio.RadioState = RadioState.Off;
                    }
                }

            }
            catch { }
        }


        /// <summary>
        /// WlanStatus()
        /// Returns the status of the Wifi
        /// </summary>
        /// <returns>string On/Off or 'No Wifi'</returns>
        public static string WlanStatus()
        {

            Radios radios = Radios.GetRadios();
            try
            {

                foreach (IRadio radio in radios)
                {
                    if (radio.RadioType == RadioType.WiFi)
                    {
                        return radio.RadioState.ToString();
                    }
                }
                
            }
            catch { }
            return "No Wifi";
        }

    }
}